-- This file does not contain all requests that update or
-- install CNStats tables. Some requests are generated
-- automatically by PHP scripts and cannot be saved statically.

ALTER TABLE  `%PREFIX%advert_pages` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%advert_pages` CHANGE  `string`  `string` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `title`  `title` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%advert_referers` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%advert_referers` CHANGE  `title`  `title` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `referer_logic`  `referer_logic` SET(  'equals',  'contains',  'starts',  'ends' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `referer`  `referer` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `page_logic`  `page_logic` SET(  'equals',  'contains',  'starts',  'ends' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `page`  `page` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `use_openstat`  `use_openstat` ENUM(  'yes',  'no' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT  'no', CHANGE  `openstat`  `openstat` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%cache_advert_cost` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%cache_advert_cost` CHANGE  `referer`  `referer` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `referer_logic`  `referer_logic` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `page`  `page` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `page_logic`  `page_logic` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%cache_destinations` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%cache_destinations` CHANGE  `destination`  `destination` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%cache_referers` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%cache_referers` CHANGE  `referer`  `referer` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%cache_robots` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%cache_robots` CHANGE  `title`  `title` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%cache_servers` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%cache_servers` CHANGE  `ignore_www`  `ignore_www` SET(  'yes',  'no' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `server`  `server` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%config` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%config` CHANGE  `language`  `language` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL , CHANGE  `mail_email`  `mail_email` VARCHAR( 128 ) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL , CHANGE  `mail_subject`  `mail_subject` VARCHAR( 64 ) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT  '[%d.%m.%Y] CNStats report', CHANGE  `date_format`  `date_format` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%config` CHANGE  `shortdate_format`  `shortdate_format` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `datetime_format`  `datetime_format` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `datetimes_format`  `datetimes_format` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `shortdm_format`  `shortdm_format` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%config` CHANGE  `attendance_show`  `attendance_show` SET(  'onlyusers',  'all' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT  'all', CHANGE  `mail_subject_qp`  `mail_subject_qp` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `mail_format`  `mail_format` VARCHAR( 4 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT  'html', CHANGE  `key`  `key` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `resolution`  `resolution` SET(  '800',  '1024' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT  '800', CHANGE  `robots_or_users`  `robots_or_users` SET(  'robots',  'users',  'all' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT  'all', CHANGE  `geobase_type`  `geobase_type` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%counter` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%counter_total` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%data` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%data` CHANGE  `d1`  `d1` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `d2`  `d2` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `d3`  `d3` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `d4`  `d4` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `d5`  `d5` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%languages` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%languages` CHANGE  `code`  `code` CHAR( 2 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `eng`  `eng` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL;
ALTER TABLE  `%PREFIX%filteritems` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%filterlist` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%filterrelation` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%goodies` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%googlecache` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%hid` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%ipalias` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%openstat` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%reach` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%restorepassword` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%rss_cache` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%rss_rebuild` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%size` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%slides` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%slide_cache` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%subnets` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%uid` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%users` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%users_access` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%users_sessions` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%who_cache` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE  `%PREFIX%filteritems` CHANGE  `value`  `value` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%filterlist` CHANGE  `title`  `title` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `type`  `type` SET(  'normal',  'combined' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT  'normal', CHANGE  `value`  `value` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%goodies` CHANGE  `url`  `url` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL , CHANGE  `name`  `name` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL;
ALTER TABLE  `%PREFIX%goodies` CHANGE  `url`  `url` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL , CHANGE  `name`  `name` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL;
ALTER TABLE  `%PREFIX%goodies` ADD INDEX (  `url` );
ALTER TABLE  `%PREFIX%googlecache` CHANGE  `hash_session`  `hash_session` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `city`  `city` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `description`  `description` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%hid` CHANGE  `city`  `city` VARCHAR( 128 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%ipalias` CHANGE  `title`  `title` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%openstat` CHANGE  `type`  `type` SET(  'compaign',  'banner' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `id`  `id` VARCHAR( 128 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `title`  `title` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%restorepassword` CHANGE  `hash`  `hash` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `login`  `login` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%rss_cache` CHANGE  `title`  `title` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `url`  `url` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `type`  `type` ENUM(  'standalone',  'online',  'browser' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT  'standalone';
ALTER TABLE  `%PREFIX%subnets` CHANGE  `title`  `title` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%users` CHANGE  `login`  `login` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `password`  `password` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `access`  `access` SET(  'admin',  'guest' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `last_ip`  `last_ip` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL , CHANGE  `enable`  `enable` SET(  'yes',  'no' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT  'yes';
ALTER TABLE  `%PREFIX%users_access` CHANGE  `report`  `report` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%users_sessions` CHANGE  `hash`  `hash` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE  `%PREFIX%who_cache` CHANGE  `title`  `title` VARCHAR( 64 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;

ALTER TABLE  `%PREFIX%config` ADD  `userfield1_use` TINYINT NOT NULL , ADD  `userfield1_title` VARCHAR( 255 ) NOT NULL , ADD  `userfield2_use` TINYINT NOT NULL , ADD  `userfield2_title` VARCHAR( 255 ) NOT NULL , ADD  `userfield3_use` TINYINT NOT NULL , ADD  `userfield3_title` VARCHAR( 255 ) NOT NULL;
ALTER TABLE  `%PREFIX%uid` ADD INDEX (`sid`);

CREATE TABLE `%PREFIX%log_new` (
  `id` int(11) NOT NULL auto_increment,
  `id_site` tinyint(4) NOT NULL default '0',
  `date` datetime NOT NULL default '2001-01-01 00:00:00',
  `ip` bigint(20) default NULL,
  `proxy` bigint(20) default NULL,
  `id_user` bigint(20) NOT NULL default '0',
  `uid` bigint(20) NOT NULL default '0',
  `sid` bigint(20) NOT NULL default '0',
  `unique_host` set('yes','no') NOT NULL,
  `unique_user` set('yes','no') NOT NULL,
  `unique_session` set('yes','no') NOT NULL,
  `page` text NOT NULL,
  `agent` varchar(128) NOT NULL default '',
  `referer` text NOT NULL,
  `language` varchar(32) NOT NULL default '',
  `res` int(10) unsigned NOT NULL default '0',
  `depth` smallint(6) NOT NULL default '0',
  `country` smallint(5) unsigned NOT NULL default '0',
  `city` varchar(128) NOT NULL default '',
  `latitude` smallint(6) NOT NULL default '0',
  `longitude` smallint(6) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `isrobot` set('user','robot') NOT NULL default 'robot',
  `prevdate` int(11) NOT NULL default '0',
  `pagenumber` int(11) NOT NULL default '0',
  `imagedate` datetime NOT NULL default '0000-00-00 00:00:00',
  `is404` set('yes','no') NOT NULL default 'no',
  `isrss` set('yes','no') NOT NULL default 'no',
  `id_slide` int(11) NOT NULL default '0',
  `userfield1` varchar(255) NOT NULL,
  `userfield2` varchar(255) NOT NULL,
  `userfield3` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx3` (`uid`),
  KEY `idx1` (`date`),
  KEY `idx4` (`id_user`),
  KEY `idx2` (`ip`),
  KEY `sid` (`sid`)
) DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
